/*
 Theme Name:     twentysixteen Child Theme
 Theme URI:      http://hyperlinkcode.com/blog/?p=1021
 Description:    A bare-bones child theme for use with twentysixteen Theme from <a href="https://wordpress.org/">Wordpress</a>. To use this Child Theme, you must have <a href="https://wordpress.org/themes/twentysixteen/">twentysixteen</a> parent theme installed.
 Author:         Edward Zivkovic
 Author URI:     http://hyperlinkcode.com/
 Template:       twentysixteen
 Version:        1.0.0
*/
 
/* Add Custom CSS after this line */

.bbp-no-reply {
    display: none;
}

.archive-alert {
    background-color: #37c221;
    color: #FFFFFF;
    display: block;
    line-height: 45px;
    height: 50px;
    position: relative;
    text-align: center;
    text-decoration: none;
    top: 0px;
    width: 100%;
    z-index: 100;
    font-size: 0.8rem;
}

/* center avatar image (in widgets, cause list columns, etc.) */
img.avatar {
    display: block;
    margin: 0 auto;
}

/* Activity Stream links (and many others) have unwanted underlines */
.entry-content a,
.entry-summary a,
.taxonomy-description a,
.logged-in-as a,
.comment-content a,
.pingback .comment-body > a,
.textwidget a,
.entry-footer a:hover,
.site-info a:hover {
    box-shadow: none;
}

/* Save a bit of whitespace in/under entry titles */
.entry-title {
margin-top: 0.25em;
margin-bottom: 0.5em;
line-height: 1.1;
}

/* No need for margin under the menu toggle button or menu bar, since the header has plenty of whitespace here */
.menu-toggle {
margin: 1.3125em 0 0;
}
.site-header-menu {
margin: 1.3125em 0 0;
}

/* Slightly less space between menu items */
@media screen and (min-width: 56.875em) {
  .main-navigation a {
    padding: 0.65625em 0.86em;
  }
}

/* Sweeten the Pot input */
input#sweeten {
    width: auto;
}

/* Avatars in search results can be bigger! */
.entry-footer .avatar {
    height: 50px;
    width: 50px;
}

/* User icon next to blog reply author */
.bypostauthor > article .fn:after {
	content: "\f007";
    font-family: 'Font Awesome 5 Free';
}

/* Close icon next to blog comment reply */
.comment-reply-title small a:before {
	content: "\f00d";
    font-family: 'Font Awesome 5 Free';
}

/* Pagination for blog, search results, etc. */
.pagination .nav-links:before {
	content: "\f061";
    font-family: 'Font Awesome 5 Free';
}
.pagination .nav-links:after {
	content: "\f060";
    font-family: 'Font Awesome 5 Free';
}
.pagination .prev:before {
	content: "\f060";
    font-family: 'Font Awesome 5 Free';
}
.pagination .next:before {
	content: "\f061";
    font-family: 'Font Awesome 5 Free';
}

/* Dropdown search menu item and form */
.search-submit:before {
    content: "\f002";
    font-family: 'Font Awesome 5 Free';
}
.chsearchform {
    display: block;
    width: 400px;
    position: absolute;
    right: 0;
    top: 100%;
    margin-top: 1px;
    z-index: 9999;
    background: #fff;
    padding: 20px;
    border: 5px solid #dd3333;
}
#chsearchform input[type="text"] {
    width: 78%;
    height: auto;
    border: 1px solid #5ca2df;
    padding: 11px 12px;
    border-radius: 0px !important; 
    }
#chsearchform input[type="submit"] {
    line-height: 1;
    padding: 14px 20px;
    border-radius: 0px;
    height: auto;
    font-size: 15px;
    display: inline-block;
    border: 1px solid #5ca2df;
}
#chsearchform:before {
    border-color: transparent transparent #dd3333;
    border-style: solid;
    border-width: 0.5em;
    content: "";
    display: block;
    position: absolute;
    right: 22px;
    top: -20px;
    z-index: 10;
}

/* Make links in BBpress search results more visible */
div.bbp-template-notice a {
color: #007acc;
text-decoration: none;
}

/* Make margins around Our Team images look nicer */

.alignleft {
	float: left;
	margin: 0.375em 1.75em 1.25em 0;
}

.alignright {
	float: right;
	margin: 0.375em 0 1.75em 1.25em;
}

.aligncenter {
	clear: both;
	display: block;
	margin: 0 auto 1.25em;
}

/* Hide reCAPTCHA badge and instead display the branding info below the contact form */

.grecaptcha-badge {opacity:0}

/* Locally hosted Google fonts */
/* latin-ext */
@font-face {
  font-family: 'Inconsolata';
  font-style: normal;
  font-weight: 400;
  src: local('Inconsolata Regular'), local('Inconsolata-Regular'), url(fonts/inconsolata-400-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Inconsolata';
  font-style: normal;
  font-weight: 400;
  src: local('Inconsolata Regular'), local('Inconsolata-Regular'), url(fonts/inconsolata-400.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}
/* latin-ext */
@font-face {
  font-family: 'Merriweather';
  font-style: italic;
  font-weight: 400;
  src: local('Merriweather Italic'), local('Merriweather-Italic'), url(fonts/merriweather-400i-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Merriweather';
  font-style: italic;
  font-weight: 400;
  src: local('Merriweather Italic'), local('Merriweather-Italic'), url(fonts/merriweather-400i.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}
/* latin-ext */
@font-face {
  font-family: 'Merriweather';
  font-style: italic;
  font-weight: 700;
  src: local('Merriweather Bold Italic'), local('Merriweather-BoldItalic'), url(fonts/merriweather-700i-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Merriweather';
  font-style: italic;
  font-weight: 700;
  src: local('Merriweather Bold Italic'), local('Merriweather-BoldItalic'), url(fonts/merriweather-700i.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}
/* latin-ext */
@font-face {
  font-family: 'Merriweather';
  font-style: italic;
  font-weight: 900;
  src: local('Merriweather Black Italic'), local('Merriweather-BlackItalic'), url(fonts/merriweather-900i-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Merriweather';
  font-style: italic;
  font-weight: 900;
  src: local('Merriweather Black Italic'), local('Merriweather-BlackItalic'), url(fonts/merriweather-900i.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}
/* latin-ext */
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 400;
  src: local('Merriweather Regular'), local('Merriweather-Regular'), url(fonts/merriweather-400-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 400;
  src: local('Merriweather Regular'), local('Merriweather-Regular'), url(fonts/merriweather-400.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}
/* latin-ext */
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 700;
  src: local('Merriweather Bold'), local('Merriweather-Bold'), url(fonts/merriweather-700-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 700;
  src: local('Merriweather Bold'), local('Merriweather-Bold'), url(fonts/merriweather-700.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}
/* latin-ext */
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 900;
  src: local('Merriweather Black'), local('Merriweather-Black'), url(fonts/merriweather-900-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 900;
  src: local('Merriweather Black'), local('Merriweather-Black'), url(fonts/merriweather-900.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}
/* latin-ext */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: local('Montserrat Regular'), local('Montserrat-Regular'), url(fonts/montserrat-400-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: local('Montserrat Regular'), local('Montserrat-Regular'), url(fonts/montserrat-400.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}
/* latin-ext */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  src: local('Montserrat Bold'), local('Montserrat-Bold'), url(fonts/montserrat-700-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}
/* latin */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  src: local('Montserrat Bold'), local('Montserrat-Bold'), url(fonts/montserrat-700.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}

/* Workaround apparent Safari bug causing animated GIFs to clip square through circular borders.  Another one in .widget below. */
body {
    font-size: 0.9rem;
    line-height: 1.65;
}

/* Stop hyphenating pitch slides and all titles, which are particularly bad on small screens */
p.slideInUp,
.entry-content h1,
.s2member-pro-stripe-form-section-title,
.post-navigation .post-title,
.widget-title,
.entry-title,
.comments-title {
	-webkit-hyphens: none;
	-moz-hyphens: none;
	-ms-hyphens: none;
	hyphens: none;
}

/* But do hyphenate everything else */
.site-content {
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	-ms-hyphens: auto;
	hyphens: auto;
}

/* fix up the font situation in BuddyPress activity-land and elsewhere */
div.s2member-pro-stripe-form-section-title,
.bp-user #buddypress #settings-form>p,
#buddypress div.profile h2,
h2.entry-title,
.entry-content h2 {
    font-family: Montserrat, "Helvetica Neue", sans-serif !important;
    font-size: 1.5rem !important;
    letter-spacing: 0.046875em !important;
    line-height: 1.3125 !important;
    margin: 1em 0 0.5em !important;
    padding: 0 !important;
    text-transform: uppercase !important;
}

@media screen and (max-height: 768px){
  div.s2member-pro-stripe-form-section-title,
  .bp-user #buddypress #settings-form>p,
  #buddypress div.profile h2,
  h2.entry-title,
  .entry-content h2 {
    margin: 0 0 0.25em !important;
  }
}

/* nice little border around circle avatars */
.site .avatar, #bp-webcam-canvas {
    border: 3px solid #D33 !important;
    border-radius: 50% !important;
    padding: 0 !important;
}

/* Fix Help, My Account, Gift submenus on mobile */
@media screen and (max-width: 909px){
  .main-navigation li.menu-item-5 ul, .main-navigation li.menu-item-4 ul, .main-navigation li.menu-item-1242 ul {
    display: block;
  }
}

/* Suggest page break locations by grouping the rest in avoid-break spans */
span.avoidwrap { display:inline-block; }

/* No JavaScript warning */
div#no-javascript-warning {
	border-radius : 5px;
	color         : #000000;
	padding       : 10px;
	margin        : 10px;
	border        : 1px solid #FE8989;
	background    : #FFD5D5;
    clear: both;
}
div#no-javascript-warning:before {
    content: "\f071";
    float: right;
    clear: both;
    font-size: 1.5em;
    font-family: 'Font Awesome 5 Free';
    line-height: 1.2;
    margin: 0 0 100px 15px;
}

/* Eliminate special no-js rendering, which is causing menu jump during page load.
   Some day maybe we figure out how to get no-js -> js to occur before rendering.
   This may require moving all jQuery out of the header */
.no-js .site-header-menu {
	display: none;
}
.no-js .main-navigation ul ul {
	display: none;
}
.no-js .menu-toggle {
	display: block;
}
@media screen and (min-width: 910px){
	.content-area {
		float: left;
		margin-right: -100%;
		width: 68%;
	}
	.sidebar {
		float: left;
		margin-left: 73%;
		padding: 0;
		width: 27%;
	}
    .no-js .menu-toggle {
	    display: none;
    }
}

/* Make the little dialog bubble for social buttons retina-capable */
.sfsiplus_norm_row .bot_no:before, .sfsi_plus_outr_div ul li .sfsiplus_inerCnt .bot_no:before {
    content:"";
    background:url(images/count_top_arow.png);
    background-size: 15px 9px;
    top: -9px;
}

a.bbp-author-name, 
span.ch-dash-user,
.d4p-bbw-widget.bbx-topicinfo table tbody td, 
.ws-plugin--s2member-pro-login-widget-profile-summary-name {
    font-family: 'Courier New', Courier, monospace;
}

/* Waste less "above the fold" space */
.site-header {
    padding-bottom: 0;
    padding-top: 0;
}
.header-image {
    margin: 0 0 1em;
}
.header-main {
    float: left;
}
.header-redirect {
    float: left;
}
.header-image::after {
    content: "";
    clear: both;
    display: table;
}

/* Squeeze in our redirect to other sites on narrower screens */
@media screen and (max-width: 833px){
    .header-main {
        width: calc(100% * 1200 / 1340);
    }
    .header-redirect {
        width: calc(100% * 140 / 1340);
    }
}

/*--------------------------------------------------------------
 Media Queries
--------------------------------------------------------------*/

/* =Standard Mobile Landscape
-------------------------------------------------------------- */
@media only screen and (max-width: 540px) {
    .chsearchform {
      width: 80%;
    }
}

/* =Standard Mobile Portrait
-------------------------------------------------------------- */
@media only screen and (max-width: 500px) {
    /* Don't waste space on margins */
    .site-header {
        padding-left: 3%;
        padding-right: 3%;
    }
    .entry-header, .entry-summary, .entry-content, .entry-footer, .page-content {
        margin-right: 3%;
        margin-left: 3%;
        margin-bottom: 3%;
    }
    .chsearchform {
      width: 90%;
    }
}

/* =Extra Small Mobile
-------------------------------------------------------------- */
@media only screen and (max-width: 240px) {
    .chsearchform {
      width: 100%;
    }
}
